class Pirrest.BigFoot.Level extends MovieClip
{
   var p_system;
   var under_mc;
   var jeep_body_mc;
   var jeep_cont_mc;
   var jeep_wheel_1_mc;
   var jeep_wheel_2_mc;
   var part;
   var over_mc;
   var backs_mc;
   function Level()
   {
      super();
   }
   function init()
   {
      this.p_system = new Pirrest.PhisicsEngine.ParticleSystem();
      this.p_system.setDamping(_global.gl_level.damping);
      this.p_system.setGravity(_global.gl_level.gravity.x,_global.gl_level.gravity.y);
      this.p_system.setKfr(_global.gl_level.kfr);
      this.p_system.setFriction(_global.gl_level.friction);
      var _loc5_ = undefined;
      for(_loc5_ in this.under_mc)
      {
         var _loc3_ = this.under_mc[_loc5_];
         _loc3_._visible = false;
         if(_loc3_ instanceof Pirrest.PhisicsEngine.Surface)
         {
            _loc3_.init(this.under_mc);
            this.p_system.addSurface(_loc3_);
         }
         if(_loc3_ instanceof Pirrest.PhisicsEngine.CircleSurface)
         {
            _loc3_.init(this.under_mc);
            this.p_system.addCircleSurface(_loc3_);
         }
      }
      this.under_mc.ground_mc._visible = true;
      this.under_mc.star_mc._visible = true;
      var _loc8_ = this.under_mc.jeep_dummy_mc.wheel_1_dummy_mc;
      var _loc9_ = this.under_mc.jeep_dummy_mc.wheel_2_dummy_mc;
      var _loc7_ = {x:_loc8_._x,y:_loc8_._y};
      var _loc6_ = {x:_loc9_._x,y:_loc9_._y};
      this.under_mc.jeep_dummy_mc.localToGlobal(_loc7_);
      this.under_mc.jeep_dummy_mc.localToGlobal(_loc6_);
      this.globalToLocal(_loc7_);
      this.globalToLocal(_loc6_);
      this.jeep_body_mc = this.jeep_cont_mc.attachMovie("lib_jeep_body","jeep_body_mc",this.jeep_cont_mc.getNextHighestDepth());
      this.jeep_wheel_1_mc = this.jeep_cont_mc.attachMovie("lib_jeep_wheel","wheel_1_mc",this.jeep_cont_mc.getNextHighestDepth());
      this.jeep_wheel_1_mc._x = _loc7_.x;
      this.jeep_wheel_1_mc._y = _loc7_.y;
      this.jeep_wheel_1_mc.init(this.jeep_cont_mc,0);
      this.p_system.addWheel(this.jeep_wheel_1_mc);
      this.jeep_wheel_2_mc = this.jeep_cont_mc.attachMovie("lib_jeep_wheel","wheel_2_mc",this.jeep_cont_mc.getNextHighestDepth());
      this.jeep_wheel_2_mc._x = _loc6_.x;
      this.jeep_wheel_2_mc._y = _loc6_.y;
      this.jeep_wheel_2_mc.init(this.jeep_cont_mc,0);
      this.p_system.addWheel(this.jeep_wheel_2_mc);
      var _loc4_ = {};
      _loc4_.left = this.jeep_wheel_1_mc._x;
      _loc4_.right = this.jeep_wheel_2_mc._x;
      _loc4_.top = this.jeep_wheel_1_mc._y;
      _loc4_.width = _loc4_.right - _loc4_.left;
      _loc4_.mid = _loc4_.left + _loc4_.width / 2;
      this.part = this.p_system.addParticle(_loc4_.mid,_loc4_.top - 47);
      this.p_system.addConstraint(this.jeep_wheel_1_mc.wp,this.part);
      this.p_system.addConstraint(this.part,this.jeep_wheel_2_mc.wp);
      this.p_system.addConstraint(this.jeep_wheel_2_mc.wp,this.jeep_wheel_1_mc.wp);
      this.over_mc.onEnterFrame = function()
      {
         this._x = this._parent.under_mc._x;
         this._y = this._parent.under_mc._y;
      };
      this.jeep_cont_mc.onEnterFrame = function()
      {
         this._x = this._parent.under_mc._x;
         this._y = this._parent.under_mc._y;
      };
   }
   function start()
   {
   }
   function moveCamera()
   {
      var _loc6_ = undefined;
      var _loc4_ = 250 - this.jeep_body_mc._x;
      var _loc3_ = 250 - this.jeep_body_mc._y;
      this.backs_mc._x = this.jeep_body_mc._x / 1.5 - 200;
      var _loc8_ = _loc4_ - this._x;
      var _loc7_ = _loc3_ - this._y;
      var _loc5_ = Pirrest.Common.PiGeo.distance(_loc4_,_loc3_,this._x,this._y);
      var _loc2_ = _loc5_ * 0.35;
      if(_loc2_ > 50)
      {
         _loc2_ = 50;
      }
      _loc6_ = _loc2_ / _loc5_;
      this._x += _loc8_ * _loc6_;
      this._y += _loc7_ * _loc6_;
   }
}
