class Pirrest.PhisicsEngine.Rectangle
{
   var p0;
   var p1;
   var p2;
   var p3;
   function Rectangle($pSystem, $center, $rWidth, $rHeight)
   {
      this.init($pSystem,$center,$rWidth,$rHeight);
   }
   function init($pSystem, $center, $rWidth, $rHeight)
   {
      var _loc7_ = $pSystem.addParticle($center.x - $rWidth / 2,$center.y - $rHeight / 2,0);
      var _loc6_ = $pSystem.addParticle($center.x + $rWidth / 2,$center.y - $rHeight / 2,0);
      var _loc5_ = $pSystem.addParticle($center.x + $rWidth / 2,$center.y + $rHeight / 2,0);
      var _loc4_ = $pSystem.addParticle($center.x - $rWidth / 2,$center.y + $rHeight / 2,0);
      $pSystem.addConstraint(_loc7_,_loc6_);
      $pSystem.addConstraint(_loc6_,_loc5_);
      $pSystem.addConstraint(_loc5_,_loc4_);
      $pSystem.addConstraint(_loc4_,_loc7_);
      $pSystem.addConstraint(_loc7_,_loc5_);
      $pSystem.addConstraint(_loc6_,_loc4_);
      this.p0 = _loc7_;
      this.p1 = _loc6_;
      this.p2 = _loc5_;
      this.p3 = _loc4_;
   }
}
