class Pirrest.BigFoot.JeepBody extends MovieClip
{
   var damage;
   var max_damage;
   var onEnterFrame;
   var active;
   var level;
   var main;
   var driver_mc;
   function JeepBody()
   {
      super();
      this.damage = 0;
      this.max_damage = 400;
      this.init();
   }
   function init()
   {
      this.createEmptyMovieClip("sync_mc",5);
      this.onEnterFrame = this.syncOnEnterFrame;
      this.active = true;
      this.level = this._parent._parent;
      this.main = this._parent._parent._parent._parent;
   }
   function linstenKeys()
   {
      var _loc2_ = 0.7;
      if(Key.isDown(37))
      {
         this.driver_mc.move("back");
         this.level.jeep_wheel_1_mc.wp.mass = 1;
         this.level.jeep_wheel_2_mc.wp.mass = -1;
      }
      else if(Key.isDown(39))
      {
         this.driver_mc.move("front");
         this.level.jeep_wheel_1_mc.wp.mass = -1;
         this.level.jeep_wheel_2_mc.wp.mass = 1;
      }
      else
      {
         this.driver_mc.move("normal");
         this.level.jeep_wheel_1_mc.wp.mass = 0;
         this.level.jeep_wheel_2_mc.wp.mass = 0;
      }
      if(Key.isDown(38))
      {
         this.driver_mc.move("front");
         this.level.jeep_wheel_1_mc.rp.vs = _loc2_;
         this.level.jeep_wheel_2_mc.rp.vs = _loc2_;
      }
      else if(Key.isDown(40))
      {
         this.driver_mc.move("back");
         this.level.jeep_wheel_1_mc.rp.vs = - _loc2_;
         this.level.jeep_wheel_2_mc.rp.vs = - _loc2_;
      }
      else
      {
         this.level.jeep_wheel_1_mc.rp.vs = 0;
         this.level.jeep_wheel_2_mc.rp.vs = 0;
      }
   }
   function syncOnEnterFrame()
   {
      if(_global.gl_game_info.is_game_over || _global.gl_game_info.is_pause)
      {
         return undefined;
      }
      this.level.moveCamera();
      this.linstenKeys();
      this.level.p_system.timeStep();
      this.level.p_system.paintWheels();
      var _loc6_ = - Pirrest.Common.PiGeo.angle(this.level.jeep_wheel_1_mc._x,this.level.jeep_wheel_1_mc._y,this.level.jeep_wheel_2_mc._x,this.level.jeep_wheel_2_mc._y) + 90;
      this._rotation = _loc6_;
      this._y = this.level.part.curr.y;
      this._x = this.level.part.curr.x;
      var _loc4_ = {x:this.driver_mc._parent.roof_mc._x,y:this.driver_mc._parent.roof_mc._y};
      this.driver_mc.localToGlobal(_loc4_);
      if(this.level.jeep_wheel_1_mc._y < this.level.jeep_body_mc._y && this.level.jeep_wheel_2_mc._y < this.level.jeep_body_mc._y)
      {
         if(_global.gl_user_info.lives > 1)
         {
            _global.gl_game_info.is_game_over = true;
            _root.main_mc.messages_mc.gotoAndStop("lives_down");
            clearInterval(_global.scoreInterval);
            _global.scoreInterval = null;
            _global.gl_user_info.times = {score:1000000,sec:0,min:0,hour:0};
            _global.gl_user_info.lives--;
            this.main.lives_txt.text = "x" + _global.gl_user_info.lives;
         }
         else
         {
            _global.gl_game_info.is_game_over = true;
            _root.main_mc.messages_mc.gotoAndStop("game_over");
            clearInterval(_global.scoreInterval);
            _global.scoreInterval = null;
            _global.gl_user_info.times = {score:1000000,sec:0,min:0,hour:0};
            _global.gl_user_info.lives = 5;
            _global.gl_user_info.curr_level = 1;
            this.main.lives_txt.text = "x" + _global.gl_user_info.lives;
         }
      }
      if(this.level.under_mc.ground_mc.hitTest(_loc4_.x,_loc4_.y,true) && _global.gl_game_info.is_game_over != true)
      {
         if(_global.gl_user_info.lives > 1)
         {
            _global.gl_game_info.is_game_over = true;
            _root.main_mc.messages_mc.gotoAndStop("lives_down");
            clearInterval(_global.scoreInterval);
            _global.scoreInterval = null;
            _global.gl_user_info.times = {score:1000000,sec:0,min:0,hour:0};
            _global.gl_user_info.lives--;
            this.main.lives_txt.text = "x" + _global.gl_user_info.lives;
         }
         else
         {
            clearInterval(_global.scoreInterval);
            _global.scoreInterval = null;
            _global.gl_game_info.is_game_over = true;
            _root.main_mc.messages_mc.gotoAndStop("game_over");
            _global.gl_user_info.times = {score:1000000,sec:0,min:0,hour:0};
            _global.gl_user_info.lives = 5;
            _global.gl_user_info.curr_level = 1;
            this.main.lives_txt.text = "x" + _global.gl_user_info.lives;
         }
      }
      var _loc5_ = this.level.under_mc.star_mc;
      this.level.under_mc.localToGlobal(_loc5_);
      if(this.level.jeep_cont_mc.hitTest(_loc5_))
      {
         _global.gl_game_info.is_game_over = true;
         _global.gl_user_info.curr_level = _global.gl_user_info.curr_level + 1;
         _global.gl_level = _global.gl_user_info.levels["level_" + _global.gl_user_info.curr_level];
         clearInterval(_global.scoreInterval);
         _global.scoreInterval = null;
         if(Pirrest.Common.PiVal.isEmpty(_global.gl_level))
         {
            _global.gl_user_info.levels["level_" + (_global.gl_user_info.curr_level - 1)].times = (_global.gl_user_info.times.hour >= 10 ? _global.gl_user_info.times.hour : "0" + _global.gl_user_info.times.hour) + ":" + (_global.gl_user_info.times.min >= 10 ? _global.gl_user_info.times.min : "0" + _global.gl_user_info.times.min) + ":" + (_global.gl_user_info.times.sec >= 10 ? _global.gl_user_info.times.sec : "0" + _global.gl_user_info.times.sec);
            _root.main_mc.messages_mc.gotoAndStop("game_completed");
            _global.gl_user_info.curr_level = 1;
         }
         else
         {
            _global.gl_user_info.levels["level_" + (_global.gl_user_info.curr_level - 1)].times = (_global.gl_user_info.times.hour >= 10 ? _global.gl_user_info.times.hour : "0" + _global.gl_user_info.times.hour) + ":" + (_global.gl_user_info.times.min >= 10 ? _global.gl_user_info.times.min : "0" + _global.gl_user_info.times.min) + ":" + (_global.gl_user_info.times.sec >= 10 ? _global.gl_user_info.times.sec : "0" + _global.gl_user_info.times.sec);
            _root.main_mc.messages_mc.gotoAndStop("level_completed");
         }
      }
   }
}
