class Pirrest.PhisicsEngine.CircleSurface extends MovieClip
{
   var cx;
   var cy;
   var r;
   function CircleSurface()
   {
      super();
   }
   function init($coord_space)
   {
      var _loc2_ = {x:this._x,y:this._y};
      if(!Pirrest.Common.PiVal.isEmpty($coord_space))
      {
         this._parent.localToGlobal(_loc2_);
         $coord_space.globalToLocal(_loc2_);
      }
      this.cx = _loc2_.x;
      this.cy = _loc2_.y;
      this.r = this._width / 2;
      this.lineStyle(0,2237064,100);
   }
   function paint()
   {
      Pirrest.PhisicsEngine.Graphics.prototype.paintCircle(this,this.cx,this.cy,this.r);
   }
   function resolveWheelCollision($w)
   {
      var _loc3_ = this.cx - $w.wp.curr.x;
      var _loc2_ = this.cy - $w.wp.curr.y;
      var _loc5_ = Math.sqrt(_loc3_ * _loc3_ + _loc2_ * _loc2_);
      var _loc6_ = $w.wr + this.r - _loc5_;
      if(_loc6_ > 0)
      {
         _loc3_ /= _loc5_;
         _loc2_ /= _loc5_;
         $w.wp.curr.x -= _loc3_ * _loc6_;
         $w.wp.curr.y -= _loc2_ * _loc6_;
         var _loc7_ = new Pirrest.PhisicsEngine.Vector(- _loc3_,- _loc2_);
         $w.resolve(_loc7_);
      }
   }
   function resolveParticleCollision($p)
   {
      var _loc2_ = new Pirrest.PhisicsEngine.Vector(this.cx,this.cy);
      var _loc5_ = _loc2_.distance($p.curr);
      if(_loc5_ <= this.r)
      {
         var _loc4_ = $p.curr.minusNew(_loc2_).normalize();
         var _loc6_ = _loc2_.plusNew(_loc4_.multNew(this.r));
         $p.curr = _loc6_;
      }
   }
}
